BenhVien/BenhVien.UI/Controllers/KhamBenhController.cs
using BASICAUTHORIZE.AGRICH;
using BenhVien.MODEL;
using BenhVien.UI.Models;
using Microsoft.Office.Interop.Excel;
using Syncfusion.ExcelToPdfConverter;
using Syncfusion.Pdf;
using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Data.Entity.SqlServer;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace BenhVien.UI.Controllers
{
    [RouteArea("QuanTri", AreaPrefix = "admin")]
    [Route("{action}")]
    public class KhamBenhController : Controller
    {
        public BenhVienEntities db = new BenhVienEntities();
        [Route("kham-benh/dang-ky")]
        public ActionResult DangKy()
        {
            UserInfo nd_dv = (UserInfo)Session["NguoiDung"];
            if (nd_dv == null || (nd_dv.User.LoaiNguoiDung != EnumUserType.ADMIN && nd_dv.User.LoaiNguoiDung != EnumUserType.SUB_ADMIN && nd_dv.User.LoaiNguoiDung != EnumUserType.BAC_SI))
                return RedirectToAction("Index", "Home", new { area = "" });

            string cbxBenhNhan = "<option value=\"\">Chọn bệnh nhân...</option>";
            var benhNhan = db.NguoiDungs.Where(x => x.TrangThaiID == EnumStatus.ACTIVE && x.LoaiNguoiDung == EnumUserType.BENH_NHAN).ToList();
            foreach (var item in benhNhan)
            {
                cbxBenhNhan += string.Format("<option value=\"{0}\">{1}</option>", item.Id, item.HoTen + " - " + item.SDT);
            }
            ViewBag.cbxBenhNhan = cbxBenhNhan;

            return View();
        }
        [Route("kham-benh/dang-ky-list")]
        public ActionResult DangKy_List(int? status = EnumTrangThaiKhamBenh.DANG_KY, int? id = null, string fromDate = "", string toDate = "", int sotrang = 1, int tongsodong = 5)
        {
            UserInfo nd_dv = (UserInfo)Session["NguoiDung"];
            if (nd_dv == null || (nd_dv.User.LoaiNguoiDung != EnumUserType.ADMIN && nd_dv.User.LoaiNguoiDung != EnumUserType.SUB_ADMIN && nd_dv.User.LoaiNguoiDung != EnumUserType.BAC_SI))
                return RedirectToAction("Index", "Home", new { area = "" });
            DateTime? dateFrom = fromDate.ToDateTime();
            DateTime? dateTo = toDate.ToDateTime();
            var list = (from a in db.KhamBenhs.ToList()
                        join b in db.NguoiDungs on a.NguoiDungID equals b.Id into b1
                        from b in b1.DefaultIfEmpty()
                        join c in db.ChiTietKhamBenhs on a.Id equals c.KhamBenhID into c1
                        from c in c1.DefaultIfEmpty()
                        where
                        b != null &&
                        (id == null ? true : a.NguoiDungID == id)
                        && ((nd_dv.User.LoaiNguoiDung == EnumUserType.SUB_ADMIN || nd_dv.User.LoaiNguoiDung == EnumUserType.ADMIN)?true: nd_dv.User.Id == c.BacSiID)
                        &&
                        a.TrangThaiID == status
                        select new DangKyKhamBenh
                        {
                            NguoiDung = b,
                            KhamBenh = a,
                            ChiTietKhamBenh = c
                        }
                        )
                        //.Where(a => (string.IsNullOrEmpty(fromDate) ? true : a.KhamBenh.NgayKham>= dateFrom)
                        //    && (string.IsNullOrEmpty(toDate) ? true : a.KhamBenh.NgayKham.Value <= dateTo))
                        .OrderByDescending(x => x.KhamBenh.NgayKham).ToList();

            int tongso = list.Count();

            sotrang = sotrang <= 0 ? 1 : sotrang;
            tongsodong = tongsodong <= 0 ? 10 : tongsodong;
            int tongsotrang = tongso % tongsodong > 0 ? tongso / tongsodong + 1 : tongso / tongsodong;
            tongsotrang = tongsotrang <= 0 ? 1 : tongsotrang;
            sotrang = sotrang > tongsotrang ? tongsotrang - 1 : sotrang - 1;
            ViewBag.sotrang = sotrang + 1;
            ViewBag.tongsotrang = tongsotrang;
            ViewBag.tongso = tongso;
            return PartialView(list == null ? list : list.Skip(sotrang * tongsodong).Take(tongsodong));
        }

        [Route("kham-benh/benh-nhan-update")]
        public ActionResult BenhNhan_Update(int? id = null)
        {
            UserInfo nd_dv = (UserInfo)Session["NguoiDung"];
            if (nd_dv == null || (nd_dv.User.LoaiNguoiDung != EnumUserType.ADMIN && nd_dv.User.LoaiNguoiDung != EnumUserType.SUB_ADMIN && nd_dv.User.LoaiNguoiDung != EnumUserType.BAC_SI))
                return RedirectToAction("Index", "Home", new { area = "" });

            var dangky = (from a in db.KhamBenhs.ToList()
                          join b in db.NguoiDungs on a.NguoiDungID equals b.Id into b1
                          from b in b1.DefaultIfEmpty()
                          where a.Id == id
                          select new DangKyKhamBenh
                          {
                              NguoiDung = b,
                              KhamBenh = a
                          }
                     )
                     .OrderByDescending(x => x.KhamBenh.NgayKham).FirstOrDefault();

            int? stt = 0;
            if (dangky == null || dangky.KhamBenh == null)
            {
                var khambenh = db.KhamBenhs.OrderByDescending(x => x.NgayKham).FirstOrDefault();
                if (khambenh == null)
                    stt = 1;
                else
                    stt = khambenh.STT + 1;
            }
            else
            {
                stt = dangky.KhamBenh.STT;
            }
            ViewBag.STT = stt;
            string cbxProvince = "<option value=\"\">Chọn tỉnh/ thành phố</option>";
            var province = db.Provinces.OrderByDescending(x => x.STT).ToList();
            foreach (var item in province)
            {
                cbxProvince += string.Format("<option value=\"{0}\" {2}>{1}</option>", item.Id, item.Name, (dangky != null && dangky.NguoiDung.ThanhPhoID == item.Id) ? "selected" : "");
            }
            ViewBag.cbxProvince = cbxProvince;


            string cbxKhoa = "<option value=\"\">Chọn khoa</option>";
            var khoa = db.Khoas.Where(x => x.TrangThaiID == EnumStatus.ACTIVE).OrderByDescending(x => x.Id).ToList();
            foreach (var item in khoa)
            {
                cbxKhoa += string.Format("<option value=\"{0}\" {2}>{1}</option>", item.Id, item.Ten, (dangky != null && dangky.NguoiDung.KhoaID == item.Id) ? "selected" : "");
            }
            ViewBag.cbxKhoa = cbxKhoa;

            string cbxPhongKham = "<option value=\"\">Chọn phòng khám</option>";
            var phongKham = db.Phongs.Where(x => x.TrangThaiID == EnumStatus.ACTIVE && x.LoaiPhong == EnumLoaiPhong.PHONG_KHAM).OrderByDescending(x => x.Id).ToList();
            foreach (var item in phongKham)
            {
                cbxPhongKham += string.Format("<option value=\"{0}\" {2}>{1}</option>", item.Id, item.Ten, (dangky != null && dangky.ChiTietKhamBenh != null && dangky.ChiTietKhamBenh.PhongID == item.Id) ? "selected" : "");
            }
            ViewBag.cbxPhongKham = cbxPhongKham;
            string cbxBenhNhan = "<option value=\"\">Chọn bệnh nhân</option>";
            var benhNhan = db.NguoiDungs.Where(x => x.TrangThaiID == EnumStatus.ACTIVE && x.LoaiNguoiDung == EnumUserType.BENH_NHAN).OrderByDescending(x => x.Id).ToList();
            foreach (var item in benhNhan)
            {
                cbxBenhNhan += string.Format("<option value=\"{0}\" {2}>{1}</option>", item.Id, item.HoTen, (dangky != null && dangky.NguoiDung.Id == item.Id) ? "selected" : "");
            }
            ViewBag.cbxBenhNhan = cbxBenhNhan;
            return PartialView(dangky);
        }
        [Route("kham-benh/benh-nhan-update")]
        [HttpPost, ValidateInput(false)]
        public ActionResult BenhNhan_Update(KhamBenh khamBenh, NguoiDung user, HttpPostedFileBase _Avatar = null, string NgaySinh = "", string NgayApDungBHYT = "", string NgayHetHanBHYT = "", int? BacSiID = null , int? PhongID = null)
        {
            try
            {
                UserInfo nd_dv = (UserInfo)Session["NguoiDung"];
                if (nd_dv == null || (nd_dv.User.LoaiNguoiDung != EnumUserType.ADMIN && nd_dv.User.LoaiNguoiDung != EnumUserType.SUB_ADMIN && nd_dv.User.LoaiNguoiDung != EnumUserType.BAC_SI))
                    return RedirectToAction("Index", "Home", new { area = "" });
                if (!user.Email.checkEmail())
                    return Json(new { kq = "err", msg = "Email không đúng !" }, JsonRequestBehavior.AllowGet);
                if (!user.SDT.checkSoDienThoai())
                    return Json(new { kq = "err", msg = "Số điện thoại không hợp lệ !" }, JsonRequestBehavior.AllowGet);

                if (khamBenh.ApDungBHYT == EnumStatus.ACTIVE)
                {
                    if (string.IsNullOrEmpty(user.SoBHYT))
                        return Json(new { kq = "err", msg = "Không thể áp dụng BYHT vì chưa nhập số BHYT" }, JsonRequestBehavior.AllowGet);
                    if (string.IsNullOrEmpty(NgayApDungBHYT))
                        return Json(new { kq = "err", msg = "Không thể áp dụng BYHT. Ngày áp dụng thẻ BHYT không chính xác" }, JsonRequestBehavior.AllowGet);
                    if (string.IsNullOrEmpty(NgayHetHanBHYT))
                        return Json(new { kq = "err", msg = "Không thể áp dụng BYHT. Ngày hết hạn thẻ BHYT không chính xác" }, JsonRequestBehavior.AllowGet);
                }
                DateTime? dateOfBirth = NgaySinh.ToDateTime();
                DateTime? ngayApDung = NgayApDungBHYT.ToDateTime();
                DateTime? ngayHetHan = NgayHetHanBHYT.ToDateTime();
                var appConfigs = db.AppConfigs.FirstOrDefault();
                int userID = 0;
                if (khamBenh.NguoiDungID == null)
                {
                    // chua co user thy them vao
                    if (user.Id == 0)
                    {
                        if (_Avatar != null)
                        {

BenhVien/BenhVien.UI/Views/KhamBenh/DangKy_List.cshtml
@using BenhVien.UI.Models;
@model IEnumerable<DangKyKhamBenh>
@{
    /**/
    UserInfo nd_dv = (UserInfo)Session["NguoiDung"];
    int stt = 0;

}
@if (Model != null && Model.Count() > 0)
{
    foreach (var item in Model)
    {
        <tr>
            <td class="text-center">@(++stt)</td>
            <td class="text-center">
                <span class="">@item.KhamBenh.MaSoKhamBenh</span>
            </td>
            <td class="text-center">
                <span class="">@item.NguoiDung.HoTen</span>
            </td>
            <td class="text-center">
                <span class="red">@item.KhamBenh.STT</span>
            </td>
            <td class="text-center">
                <span class="">@item.NguoiDung.SDT</span>
            </td>
            <td class="text-center">
                <span data-id="@item.KhamBenh.Id" onclick="CapNhatBHYT($(this))" style="cursor: pointer" title="Áp dụng bảo hiểm y tế">
                    <i class="fa @(item.KhamBenh.ApDungBHYT == EnumStatus.ACTIVE? "fa-unlock":"fa-lock")" style="font-size:22px;"></i>
                </span>
            </td>
            <td class="text-center">
                <span class="">@(EnumKieuKhamBenh.ToString(item.KhamBenh.KieuKhamBenh))</span>
            </td>
            <td class="text-center">
                <span class="red">
                    @(EnumTrangThaiKhamBenh.ToString(item.KhamBenh.TrangThaiID))
                </span>
            </td>
           
            <td class="text-center clickable-td">
                <div class="dropdown">
                    <button class="btn btn-xs btn-primary dropdown-toggle" type="button" data-toggle="dropdown" style="width:160px;">
                        Thao tác
                        <span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu">
                        <li>
                            <a class="btn btn-xs btn-success" style="cursor:pointer;padding-right:10px;"  href="@Url.Action("Update","KhamBenh", new { area = "QuanTri", id = item.KhamBenh.Id})"><i class="fa fa-pencil-square-o"></i> Khám bệnh</a>
                        </li>
                        <li>
                            <a class="btn btn-xs btn-info" style="cursor:pointer;padding-right:10px;" data-id="@item.KhamBenh.Id" onclick="SelectNguoiDung($(this))"><i class="fa fa-pencil-square-o"></i>Chỉnh sửa thông tin</a>
                        </li>

                        <li>
                            <a class="btn btn-xs btn-danger" data-id="@item.KhamBenh.Id" onclick="Xoa($(this))"><i class="fa fa-trash"></i> Xóa</a>
                        </li>
                    </ul>
                </div>

            </td>
        </tr>

    }
}
<script>
    $('#idsotrang').val('@ViewBag.sotrang');
    document.getElementById("idtongsotrang").innerHTML = '@ViewBag.tongsotrang';
    document.getElementById("idtongso").innerHTML = '(' + '@ViewBag.tongso' + ')';
    $(".clickable-td").on("click", function (e) {
        //e.stopPropagation();
        $(".dropdown-toggle").dropdown();
    });
    function SelectNguoiDung(obj) {
        var id = obj.attr("data-id");
        $.ajax({
            url: '@Url.Action("BenhNhan_Update", "KhamBenh", new { area = "QuanTri" })',
            type: 'GET',
            data: { id: id },
            success: function (data) {
                $('#modal-qltaikhoan').html(data);
                $('#modal-qltaikhoan').modal('show');
                $.ajax({
                    url: '@Url.Action("BenhNhan_Update", "KhamBenh", new { area = "QuanTri" })',
                    type: 'GET',
                    data: { id: id },
                    success: function (data) {
                        $('#modal-qltaikhoan').html(data);
                        $('#modal-qltaikhoan').modal('show');

                    }
                });
            }
        });
    }
</script>

BenhVien/BenhVien.UI/Views/KhamBenh/DonThuocKhamBenh.cshtml
@using BenhVien.MODEL
@using BenhVien.UI.Models
@model DonThuoc
@{
    var thuoc = (List<Thuoc>)ViewBag.Thuoc;
    var chiTiet = (List<ChiTietDonThuoc>)ViewBag.ChiTiet;
}



@*<div class="modal-dialog" style="width:1250px; align-content:center">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Đơn thuốc</h4>
            </div>
            <form class="fv-form fv-form-bootstrap" id="frm-capnhat1">
                <div class="modal-body">
                    <input type="hidden" id="DonThuocID" name="DonThuocID" value="@(Model != null? Model.Id.ToString():"")">
                    <div class="col-md-12 col-sm-12 col-xs-12 clearfix">

                        <div class="form-group col-md-6 col-sm-6 col-xs-12">
                            <label class="control-label" for="first-name">Ngày phát thuốc </label>
                            <div>
                                <input type="text" id="NgayPhatThuoc" class="form-control" readonly name="NgayPhatThuoc" autocomplete="off" value="@(Model != null ? Model.NgayPhatThuoc.Value.ToString("dd/MM/yyyy"):DateTime.Today.ToString("dd/MM/yyyy"))">

                            </div>
                        </div>
                        <div class="form-group col-md-6 col-sm-6 col-xs-12">
                            <label class="control-label" for="first-name">Trạng thái:</label>
                            <div>
                                <select class="ctr-select" data-live-search="true" name="TrangThaiID" disabled>
                                    <option value="@EnumTrangThaiDonThuoc.CHUA_PHAT" @((Model != null && Model.TrangThaiID == EnumTrangThaiDonThuoc.CHUA_PHAT) ? "Selected" : "")>@EnumTrangThaiDonThuoc.ToString(EnumTrangThaiDonThuoc.CHUA_PHAT)</option>
                                    <option value="@EnumTrangThaiDonThuoc.DA_PHAT" @((Model != null && Model.TrangThaiID == EnumTrangThaiDonThuoc.DA_PHAT) ? "Selected" : "")>@EnumTrangThaiDonThuoc.ToString(EnumTrangThaiDonThuoc.DA_PHAT)</option>
                                </select>

                            </div>
                        </div>

                    </div>
                    <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                        <div class="form-group col-md-12 col-sm-12 col-xs-12">
                            <label class="control-label" for="first-name"> Danh sách thuốc : </label>
                        </div>
                    </div>
                    <div class="panel-body">
                        <div class="col-md-3">
                            <input type="button" class="form-control btnPlusContent" value="+" style="border-radius: 36px;width: 36px;float: left;" onclick="plusContent(this)" />
                            <label style="padding: 8px 0px 0px 5px;">Thuốc</label>
                        </div>
                        <div class="col-md-offset-3 pnlContent">
                            @foreach (var item in chiTiet)
                            {
                                <div class="form-group">
                                    <div class="col-md-3 col-sm-3 col-xs-12">
                                        <select class="ctr-select" data-live-search="true" name="ThuocID">
                                            @foreach (var d in thuoc)
                                            {
                                                if (item.ThuocID == d.Id)
                                                {
                                                    <option value="@d.Id" selected>@d.Ten</option>
                                                }
                                                else
                                                {
                                                    <option value="@d.Id">@d.Ten</option>
                                                }

                                            }

                                        </select>
                                    </div>
                                    <div class="col-md-2 col-sm-2 col-xs-12">
                                        <input type="text" class="form-control number" value="@item.SoLuong" placeholder="Số lượng....." />
                                    </div>
                                    <div class="col-md-3 col-sm-3 col-xs-12">
                                        <input type="text" class="form-control sudung" value="@item.CachSuDung" placeholder="Cách sử dụng....." />
                                    </div>
                                    <div class="col-md-2 col-sm-2 col-xs-12">
                                        <input type="text" class="form-control hamluong" value="@item.HamLuongSuDung" placeholder="Lần/ ngày ...." />
                                    </div>
                                    <div class="col-md-2 col-sm-2 col-xs-12">
                                        <input type="button" class="form-control btnMinusContent" value="-" style="border-radius: 36px;width: 36px;" onclick="minusContent(this)" />
                                    </div>
                                </div>
                            }

                        </div>
                    </div>
                </div>
                <div class="clearfix"></div>
                <div class="modal-footer">
                    <button id="btn-save1" type="button" onclick="SaveDonThuoc()" class="btn btn-success">Lưu</button>
                    <button type="button" class="btn btn-primary" data-dismiss="modal">Thoát</button>
                </div>
            </form>
        </div>
    </div>*@


<div class="modal-dialog" style="width:1250px; align-content:center">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Đơn thuốc</h4>
        </div>
        <form class="fv-form fv-form-bootstrap" id="frm-capnhat1">
            <div class="modal-body">
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Ngày phát thuốc </label>
                        <input type="hidden" name="DonThuocID" id="DonThuocID" value="@(Model != null ? Model.Id:0)" />
                        <div>
                            @*<select class="ctr-select" data-live-search="true" name="DonThuocID" id="DonThuocID">
                                    @Html.Raw(ViewBag.cbxDate)
                                </select>*@
                            <div>
                                <div class='input-group date datetimepicker1'>
                                    <input type='text' class="form-control" id="NgayPhatThuoc" name="NgayPhatThuoc" onchange="PhatThuoc()" value="@(Model!= null && Model.KhamBenhID != null ? Model.NgayPhatThuoc.Value.ToString("dd/MM/yyyy"): DateTime.Now.ToString("dd/MM/yyyy"))" autocomplete="off" />
                                    <span class="input-group-addon">
                                        <span class="glyphicon glyphicon-calendar"></span>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Trạng thái:</label>
                        <div>
                            <select class="ctr-select" data-live-search="true" name="TrangThaiID">
                                <option value="@EnumTrangThaiDonThuoc.CHUA_PHAT" @((Model != null && Model.TrangThaiID == EnumTrangThaiDonThuoc.CHUA_PHAT) ? "Selected" : "")>@EnumTrangThaiDonThuoc.ToString(EnumTrangThaiDonThuoc.CHUA_PHAT)</option>
                                <option value="@EnumTrangThaiDonThuoc.DA_PHAT" @((Model != null && Model.TrangThaiID == EnumTrangThaiDonThuoc.DA_PHAT) ? "Selected" : "")>@EnumTrangThaiDonThuoc.ToString(EnumTrangThaiDonThuoc.DA_PHAT)</option>
                            </select>

                        </div>
                    </div>

                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                        <label class="control-label" for="first-name"> Danh sách thuốc : </label>
                    </div>
                </div>
                <div id="details_list">


                </div>

            </div>
            <div class="clearfix"></div>
            <div class="modal-footer">
                <button id="btn-save1" type="button" onclick="SaveDonThuoc()" class="btn btn-success">Lưu</button>
                <button type="button" class="btn btn-primary" data-dismiss="modal">Thoát</button>
            </div>
        </form>
    </div>
</div>
<script>
    $(document).ready(function () {
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
        $('.datetimepicker1').datetimepicker({
            format: "DD/MM/YYYY"
        }).on("dp.change", function (e) {
            debugger;
            var date = $('[name=NgayPhatThuoc]').val();
            var nhapvienID = $('#NhapVienID').val();
            var khambenhID = $('#KhamBenhID').val();

            var params = {
                nhapvienID: nhapvienID,
                khambenhID: khambenhID,
                date: date
            }
            $.ajax({
                url: '@Url.Action("ChiTietDonThuocDetails", "KhamBenh", new { area = "QuanTri" })',
                type: 'POST',
                async: false,
                data: params,
                success: function (data) {
                    $('#details_list').html(data);

                }
            });

        });
        var khamBenhID = $('#KhamBenhID').val();
        var nhapVienID = $('#NhapVien').val();
        if(khamBenhID == undefined){
            if ($('[name=TrangThaiID]').val() == '@EnumTrangThaiNhapVien.CHUYEN_TUYEN' || $('[name=TrangThaiID]').val() == '@EnumTrangThaiNhapVien.XUAT_VIEN') {
                $('#frm-capnhat1 button').attr("disabled", "true");
            }
        }else {
            if ($('[name=TrangThaiID]').val() == '@EnumTrangThaiKhamBenh.CHUYEN_TUYEN' || $('[name=TrangThaiID]').val() == '@EnumTrangThaiKhamBenh.HOAN_THANH') {
                $('#frm-capnhat1 button').attr("disabled", "true");
            }
        }

    });
</script>
<script>
    $(document).ready(function () {
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
        let data = @Html.Raw(Json.Encode(Model));
        console.log(data);
        var date = $('[name=NgayPhatThuoc]').val();
        var nhapvienID = ""; //$('#NhapVienID').val();
        var khambenhID = "";// $('#KhamBenhID').val();
        if(data != null){
            nhapvienID = data.NhapVienID; //$('#NhapVienID').val();
            khambenhID = data.KhamBenhID;// $('#KhamBenhID').val();
        }
       

        var params = {
            nhapvienID: nhapvienID,
            khambenhID: khambenhID,
            date: date
        }
        $.ajax({
            url: '@Url.Action("ChiTietDonThuocDetails", "KhamBenh", new { area = "QuanTri" })',
            type: 'POST',
            async: false,
            data: params,
            success: function (data) {
                $('#details_list').html(data);

            }
        });

    })
</script>
<script>
    $(document).on("change", "[name=DonThuocID]", function () {
        debugger;
        var id = $('[name=DonThuocID]').val();
        var params = {
            id: id
        }
        $.ajax({
            url: '@Url.Action("ChiTietDonThuocDetails", "KhamBenh", new { area = "QuanTri" })',
            type: 'POST',
            async: false,
            data: params,
            success: function (data) {
                $('#details_list').html(data);

            }
        });
    });
    function SaveDonThuoc() {
        debugger;
        var arr = [];
        var length = $('[name=ThuocID]').length;
        for (var i = 0; i < length; i++) {
            var obj = {
                ThuocID: $('[name=ThuocID]')[i].value,
                SoLuong: $('.number')[i].value,
                //CachSuDung: $('.sudung')[i].value,
                HamLuongSuDung: $('.hamluong')[i].value,
            }
            arr.push(obj);
        }
        var params = {
            Id: $('#DonThuocID').val(),
            NgayPhatThuoc: $('#NgayPhatThuoc').val().split("/").reverse().join("-"),
            TrangThaiID : $('[name=TrangThaiID]').val(),
            KhamBenhID: $('#KhamBenhID').val(),
            NhapVienID: $('#NhapVienID').val(),
            list: arr
        }
        $.ajax({
            url: '@Url.Action("DonThuocKhamBenh", "KhamBenh", new { area = "QuanTri" })',
            type: 'POST',
            data: params,
            success: function (data) {
                if (data.kq == "ok") {
                    //donThuocID = data.data;
                    alertify.success(data.msg);
                    $('#modal-qltaikhoan').modal('hide');
                    location.reload();
                }
                else {
                    alertify.error(data.msg);
                    document.getElementById("btn-save1").disabled = false;
                    $("#btn-save1").removeClass("disabled");
                }
            }
        });
    }

</script>

BenhVien/BenhVien.UI/Views/KhamBenh/List.cshtml
@{
    ViewBag.Title = "List";
}

<h2>List</h2>